Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xmltorng.framework.document.relaxng
Interface NonEmptyPattern

All Superinterfaces:
  Pattern

All Known Subinterfaces:
  Attribute, Data, GroupPattern, ListPattern, Ref, Text, Value

All Known Implementing Classes:
  AttributeImpl, DataImpl, GroupPatternImpl, ListPatternImpl, NonEmptyPatternImpl, RefImpl, TextImpl, ValueImpl

    public interface NonEmptyPattern

extends Pattern

Ancestor of all the non empty pattern interfaces.

Field Summary
`static int` | `PATTERN_ATTRIBUTE`
`static int` | `PATTERN_DATA`
`static int` | `PATTERN_GROUP`
`static int` | `PATTERN_LIST`
`static int` | `PATTERN_REF`
`static int` | `PATTERN_TEXT`
`static int` | `PATTERN_VALUE`

Method Summary
`boolean` | `canBeRepeated()` Implements the "oneOrMore" pattern of the grammar.
`int` | `getPatternType()` Return the pattern type.

Methods inherited from interface xmltorng.framework.document.relaxng.Pattern
`isEmpty`

Field Detail

### PATTERN_TEXT

    static final int PATTERN_TEXT

See Also:
  Constant Field Values

### PATTERN_DATA

    static final int PATTERN_DATA

See Also:
  Constant Field Values

### PATTERN_VALUE

    static final int PATTERN_VALUE

See Also:
  Constant Field Values

### PATTERN_LIST

    static final int PATTERN_LIST

See Also:
  Constant Field Values

### PATTERN_ATTRIBUTE

    static final int PATTERN_ATTRIBUTE

See Also:
  Constant Field Values

### PATTERN_REF

    static final int PATTERN_REF

See Also:
  Constant Field Values

### PATTERN_GROUP

    static final int PATTERN_GROUP

See Also:
  Constant Field Values

Method Detail

### getPatternType

    int getPatternType()

  Return the pattern type. Is one of the PATTERN_* constants.

### canBeRepeated

    boolean canBeRepeated()

  Implements the "oneOrMore" pattern of the grammar.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD